Bug 436122 - man ecryptfs is misleading in "password file/descriptor"
man ecryptfs is misleading in "password file/descriptor"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Karsten Hopp
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 10:23 EST by Michal Nowak
Modified: 2013-03-07 21:04 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0430
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-03-05 10:23:57 EST
Description of problem:

man ecryptfs says:

passfile=(filename)
  The password should be specified in a file with passwd=(passphrase).
  It is highly reccomended that the file be stored on a secure medium
  such as a personal usb key.

* passfile should be there replaced to "passwd_file"

and 

passfd=(file descriptor)
  The password is specified through the specified file descriptor.

* passfd should be there replaced to "passwd_fd"

fixed in version 41

Version-Release number of selected component (if applicable):
ecryptfs-utils-40-1.el5

How reproducible:
always

Actual results:
misleading man page

Expected results:
correct man page

Additional info:

patch included here 
http://git.kernel.org/?p=linux/kernel/git/mhalcrow/ecryptfs-utils.git;a=commitdiff;h=392301a17e87a647b8689a8a47dd439813a04cbd
Comment 1 RHEL Product and Program Management 2008-03-05 18:27:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Michal Nowak 2008-03-06 06:03:45 EST
Covered by

  /CoreOS/ecryptfs-utils/doc-reformer

RHTS test as part of TCP.
Comment 6 errata-xmlrpc 2008-05-21 13:33:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0430.html
Comment 7 Chris Ward 2008-06-17 11:48:54 EDT
Reminder: This bug includes the 'RHTS' QA Whiteboard Keyword. Don't forget to add
'RHTSdone' to the QA Whiteboard along with a comment describing where the RHTS
test can be found once the RHTS test has been written. Otherwise, if an RHTS
will not be created, please remove RHTS from the qa whiteboard.
Comment 8 Michal Nowak 2008-06-18 04:53:29 EDT
(In reply to comment #7)
> Reminder: This bug includes the 'RHTS' QA Whiteboard Keyword. Don't forget to add
> 'RHTSdone' to the QA Whiteboard along with a comment describing where the RHTS
> test can be found once the RHTS test has been written. Otherwise, if an RHTS
> will not be created, please remove RHTS from the qa whiteboard.

See Comment #2. 

  /CoreOS/ecryptfs-utils/doc-reformer in short.

Note You need to log in before you can comment on or make changes to this bug.